Bug 465646 - (python-hachoir-core) Review Request: python-hachoir-core - Hachoir core parser
Review Request: python-hachoir-core - Hachoir core parser
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW python-hachoir-parse
  Show dependency treegraph
 
Reported: 2008-10-05 01:00 EDT by Jean-François Martin
Modified: 2009-10-17 15:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-17 15:51:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
oget.fedora: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Jean-François Martin 2008-10-05 01:00:49 EDT
Spec URL: http://lokthare.fedorapeople.org/temp/hachoir-core.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/hachoir-core-1.2-1.fc9.src.rpm
Description:
Hachoir is the french name for a mincer: a tool used by butchers to cut meat. 
Hachoir is also a tool written for hackers to cut file or any binary stream. 
A file is splitted in a tree of fields where the smallest field can be just 
a bit. There are various field types: integer, string, bits, padding, sub file, 
etc.
Comment 1 Orcan Ogetbil 2008-11-22 14:21:15 EST
I reviewed this package. Here are my notes :

* The package must obey python modules naming guidelines: Please see:
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Addon_Packages_.28python_modules.29
And the spec file will need to be renamed accordingly.

* Latest version is not packaged. Please update to the latest version.

* You should probably make a %check section and run the tests given in the test_doc.py

* There is a doc directory in the tarball. Should (at least, some of) the contents of that directory be packaged?

* You must have BuildRequires: python-setuptools-devel
Please see:
   http://fedoraproject.org/wiki/Packaging/Python/Eggs
Comment 2 Jean-François Martin 2008-12-02 22:57:39 EST
Spec URL: http://lokthare.fedorapeople.org/temp/python-hachoir-core.spec
SRPM URL: http://lokthare.fedorapeople.org/temp/python-hachoir-core-1.2-1.fc9.src.rpm

- Update to new release
- Rename the package to match naming guidelines for python modules
- Add some files to the doc
- Run test
Comment 3 Jean-François Martin 2008-12-02 23:01:32 EST
Sorry, give a wrong URL for the SRPM.
SRPM URL : http://lokthare.fedorapeople.org/temp/python-hachoir-core-1.2.1-1.fc10.src.rpm
Comment 4 Orcan Ogetbil 2008-12-03 01:14:21 EST
Thanks for the update. We need to have one thing corrected and I also have a suggestion:

* I guess I should have been a little clearer. The python guidelines are slightly different for non-setuptools packages. You are using the guidelines as if the building is done by setuptools. Please check the setup.py file. In order to use the setuptools you have to pass the --setuptools flag to setup.py (in both %build and %install). 
OR alternatively,
you can follow the non-setuptools guidelines at 
     http://fedoraproject.org/wiki/Packaging/Python/Eggs
but this will require a somewhat larger modification.

? Having a closer look, I think you should include all of doc/* in %doc. Those are files for use of graphviz and dia, and they might be useful for some people.
Comment 5 Orcan Ogetbil 2008-12-21 05:08:41 EST
ping?
Comment 6 Orcan Ogetbil 2009-04-04 01:55:15 EDT
re-ping? is there anything wrong?
Comment 7 Orcan Ogetbil 2009-09-15 03:49:51 EDT
third ping? I'll close this bug if there is no response within 4 weeks.
Comment 8 Orcan Ogetbil 2009-10-17 15:51:00 EDT
Looks like we got a dead review here. Closing WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.